'*****************************************************************************
'       EME tracking interface/sequencer. Copyright by Ken Arck AH6LE 2000.
'      This program is NOT in the public domain, however it may be used for
'               personal Amateur Radio use. All rights reserved.
'***************************************************************************

'*** PUBLIC VARIABLE DEFINITIONS ***

Public AntAz as Integer		'Actual antenna azmuth A/D value
Public AzPos as Integer		'Antenna azmuth 
Public AntEl as Integer		'Actual antenna elevation
Public ElPos as Integer		'Antenna elevation
Public NewAzPos as Integer		'Computer azmuth value
Public NewElPos as Integer		'Computer elevation value
Public Direction as Byte		'Antenna direction
Public LCDDataOut(1 to 20) as Byte	'Serial data out to LCD
Public LCDDataIn(1 to 5) as Byte	'Serial data in from LCD
Public PttActive as Byte
Public El_Up as Byte
Public El_Dwn as Byte 
Public Az_Ccw as Byte
Public Az_Cw as Byte
Public ISO As Byte
Public TR As Byte 
Public AMP As Byte
Public RPTT As Byte
Public ElUp_Sw as Byte
Public ElDwn_Sw as Byte
Public AzCcw_Sw as Byte
Public AzCw_Sw as Byte

' *** DEFINE CONSTANTS

Public Const Clr_Scrn as Byte = 12	
Public Const CursPos as Byte = 16
Public Const Bell_Sound as Byte = 7
Public Const Bell_Freq as Byte = 23
Public Const DeadBand as Integer = 2		'deadband

Sub Main()

'*** Open LCD queue and define dataport ***

Call OpenQueue(LCDDataIn, 5)			'Open queue for incoming LCD data
Call OpenQueue(LCDDataOut, 20)			'Open queue for outgoing LCD data
Call DefineCom3 (0, 5, bx1000_1000)		'No input pin, Pin 5 as output,
								'8 bit, no parity, inverted
Call OpenCom(3, 9600, LCDDataIn, LCDDataOut)	'9600 baud

'*** Open computer queue   ***

Call OpenQueue(CompDataIn, 20)	'Open queue for incoming comp data
Call OpenQueue(CompDataOut, 85)	'Open queue for outgoing comp data
Call OpenCom(1, 9600, CompDataIn, CompDataOut)	'9600 baud

'*** Initialize relay out variables ***

El_Up = 1	
El_Dwn = 2
Az_Ccw = 4
Az_Cw = 8
ISO = 16
TR = 32
AMP = 0
RPTT = 0

		Call InitializeLCD()

Do
		Call GetPots()
		Call GetComputerData()
		PttActive = GetPin(11)
		If (PttActive = 0) Then
		Call Sequence
		Call Wait_for_Ptt()
		End If
		Call ManPos()
Loop

End Sub